Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoRangeTool Class Reference
Range

## Description

Represents a base range tool.

Inheritance diagram for GoRangeTool:

## Public Member Functions
kStatus | GoRangeTool_SetSource (GoRangeTool tool, GoDataSource source)
| Sets the data source. More...
GoDataSource | GoRangeTool_Source (GoRangeTool tool)
| Gets the data source. More...
GoDataSource | GoRangeTool_SourceOptionAt (GoRangeTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoRangeTool_SourceOptionCount (GoRangeTool tool)
| Gets the data source option list count. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...

## Member Function Documentation

kStatus GoRangeTool_SetSource | ( | GoRangeTool | tool,
|  | GoDataSource | source
| ) |  |

Sets the data source.

Parameters

  tool | GoRangeTool object.
  source | GoDataSource object.

Returns
  Operation status.

GoDataSource GoRangeTool_Source | ( | GoRangeTool | tool | ) |

Gets the data source.

Parameters

  tool | GoRangeTool object.

Returns
  The data source.

GoDataSource GoRangeTool_SourceOptionAt | ( | GoRangeTool | tool,
|  | kSize | index
| ) |  |

Gets the data source option at the given index.

Parameters

  tool | GoRangeTool object.
  index | The index with which to retrieve a data source option.

Returns
  The data source option at the given index or k32U_MAX if an invalid index is given.

kSize GoRangeTool_SourceOptionCount | ( | GoRangeTool | tool | ) |

Gets the data source option list count.

Parameters

  tool | GoRangeTool object.

Returns
  The data source option list count.

GoMeasurement GoTool_FindMeasurementByType | ( | GoTool | tool,
|  | GoMeasurementType | type
| ) |  |
| inherited

Retrieves the first found instance of a measurement for a given enumeration type.

Parameters

  tool | GoTool object.
  type | A GoMeasurementType representing the measurement type to find in the given tool.

Returns
  A measurement object if one is found, otherwise kNULL.

GoMeasurement GoTool_MeasurementAt | ( | GoTool | tool,
|  | kSize | index
| ) |  |
| inherited

Retrieves the measurement at the given index.

Parameters

  tool | GoTool object.
  index | The index of the measurement.

Returns
  The measurement at the given index or kNULL if an invalid index is provided.

kSize GoTool_MeasurementCount | ( | GoTool | tool | ) |
| inherited

Returns the measurement count.

Parameters

  tool | GoTool object.

Returns
  The measurement count.

kStatus GoTool_Name | ( | GoTool | tool,
|  | kChar * | name,
|  | kSize | capacity
| ) |  |
| inherited

Retrieves the name of the tool.

Parameters

  tool | GoTool object.
  name | Receives the name of the tool.
  capacity | The maximum capacity of the name array.

Returns
  Operation status.

kStatus GoTool_SetName | ( | GoTool | tool,
|  | const kChar * | name
| ) |  |
| inherited

Sets the name of the tool.

Parameters

  tool | GoTool object.
  name | The name to be set for the tool.

Returns
  Operation status.

GoToolType GoTool_Type | ( | GoTool | tool | ) |
| inherited

Retrieves the tool type enumeration value of the tool.

Parameters

  tool | GoTool object.

Returns
  The tool type enumeration value.

The documentation for this class was generated from the following file:

- Tools/GoRangeTools.h